Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.util
Class MutableByteArrayOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.ByteArrayOutputStream
              org.apache.poi.hslf.util.MutableByteArrayOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public final class MutableByteArrayOutputStream

extends java.io.ByteArrayOutputStream

This class doesn't work yet, but is here to show the idea of a ByteArrayOutputStream where you can track how many bytes you've already written, and go back and write over a previous part of the stream

Author:
  Nick Burch

Constructor Summary
`MutableByteArrayOutputStream()`

Method Summary
`int` | `getBytesWritten()` Return how many bytes we've stuffed in so far
`void` | `overwrite(byte[] b, int startPos)` Write some bytes to an earlier bit of the array
`void` | `write(byte[] b)` Write some bytes to the array
`void` | `write(int b)`

Methods inherited from class java.io.ByteArrayOutputStream
`close, reset, size, toByteArray, toString, toString, toString, write, writeTo`

Methods inherited from class java.io.OutputStream
`flush`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MutableByteArrayOutputStream

    public MutableByteArrayOutputStream()

Method Detail

### getBytesWritten

    public int getBytesWritten()

  Return how many bytes we've stuffed in so far

### write

    public void write(byte[] b)

  Write some bytes to the array

  Overrides:
    `write` in class `java.io.OutputStream`

### write

    public void write(int b)

  Overrides:
    `write` in class `java.io.ByteArrayOutputStream`

### overwrite

    public void overwrite(byte[] b,
                          int startPos)

  Write some bytes to an earlier bit of the array

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD